> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Box Hub items

> Retrieves all items associated with a Box Hub.

<Note>
  Learn more about [Box SDK versioning strategy](/guides/tooling/sdks/sdk-versioning/).
</Note>


## OpenAPI

````yaml /box-openapi-v2025.0.json GET /hub_items
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box Platform](https://developer.box.com) provides functionality to provide
    access to content stored within [Box](https://box.com). It provides
    endpoints for basic manipulation of files and folders, management of users
    within an enterprise, as well as more complex topics such as legal holds and
    retention policies.
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 95117b97f9
servers:
  - url: https://api.box.com/2.0
    description: Box Platform API server.
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: A set of endpoints used to manage archives.
    x-box-tag: archives
  - name: Enterprise Configurations
    description: >-
      Enterprise configurations admins interact with to drive Box product
      behavior.
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: Doc Gen is used to automatically generate documents.
    x-box-tag: docgen
  - name: Box Doc Gen templates
    description: Doc Gen templates are used as input to generate documents.
    x-box-tag: docgen_template
  - name: External Users
    description: External users are collaborators from outside of your enterprise.
    x-box-tag: external_users
  - name: Box Hubs
    description: A set of endpoints used to manage Box Hubs.
    x-box-tag: hubs
  - name: Box Hub Collaborations
    description: A set of endpoints used to manage collaborations within a Box Hub.
    x-box-tag: hub_collaborations
  - name: Box Hub Document
    description: >-
      A set of endpoints used to retrieve Box Hub Document elements (pages and
      content blocks).
    x-box-tag: hub_document
  - name: Box Hub Items
    description: A set of endpoints used to manage items within a Box Hub.
    x-box-tag: hub_items
  - name: Shield lists
    description: >-
      Shield List allow an administrator to create a list which will be shared
      between different Shield Smart Access and Threat Detection rules.
    x-box-tag: shield_lists
externalDocs:
  description: Box Developer Documentation.
  url: https://developer.box.com
paths:
  /hub_items:
    get:
      tags:
        - Box Hub Items
      summary: Get Box Hub items
      description: Retrieves all items associated with a Box Hub.
      operationId: get_hub_items_v2025.0
      parameters:
        - name: hub_id
          in: query
          description: >-
            The unique identifier that represent a hub.


            The ID for any hub can be determined by visiting this hub in the web
            application and copying the ID from the URL. For example, for the
            URL `https://*.app.box.com/hubs/123` the `hub_id` is `123`.
          required: true
          schema:
            type: string
          example: '12345'
        - name: parent_id
          in: query
          description: >-
            The unique identifier of an item list block within the Box Hub.


            When provided, the response will only include items that belong to
            the specified item list, allowing you to filter results to items on
            a specific page or section.
          required: false
          schema:
            type: string
          example: 721d97d7-ac8a-4e5e-adb6-ef11af4e6d9e
        - name: marker
          in: query
          description: >-
            Defines the position marker at which to begin returning results.
            This is used when paginating using marker-based pagination.


            This requires `usemarker` to be set to `true`.
          required: false
          schema:
            type: string
          example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
        - name: limit
          in: query
          description: The maximum number of items to return per page.
          required: false
          schema:
            type: integer
            format: int64
            maximum: 1000
          example: 1000
        - $ref: '#/components/parameters/BoxVersionHeader'
      responses:
        '200':
          description: Retrieves the items associated with the specified Box Hub.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HubItems'
        '401':
          description: >-
            Returned when the access token provided in the `Authorization`
            header is not recognized or not provided.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: >-
            Returned if the Box Hub is not found, or the user does not have
            access to the Box Hub.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: An unexpected client error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: dotnet
          label: Get Box Hub items
          source: >-
            await client.HubItems.GetHubItemsV2025R0Async(queryParams: new
            GetHubItemsV2025R0QueryParams(hubId: createdHub.Id));
        - lang: swift
          label: Get Box Hub items
          source: >-
            try await client.hubItems.getHubItemsV2025R0(queryParams:
            GetHubItemsV2025R0QueryParams(hubId: createdHub.id))
        - lang: java
          label: Get Box Hub items
          source: >-
            client.getHubItems().getHubItemsV2025R0(new
            GetHubItemsV2025R0QueryParams(createdHub.getId()))
        - lang: node
          label: Get Box Hub items
          source: |-
            await client.hubItems.getHubItemsV2025R0({
              hubId: createdHub.id,
            } satisfies GetHubItemsV2025R0QueryParams);
        - lang: python
          label: Get Box Hub items
          source: client.hub_items.get_hub_items_v2025_r0(created_hub.id)
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    HubItems:
      description: A list of Box Hub items.
      type: object
      allOf:
        - properties:
            entries:
              description: A list of Box Hub items.
              type: array
              items:
                $ref: '#/components/schemas/HubItem'
        - type: object
          description: The part of an API response that describes marker based pagination.
          properties:
            limit:
              description: >-
                The limit that was used for these entries. This will be the same
                as the `limit` query parameter unless that value exceeded the
                maximum value allowed. The maximum value varies by API.
              type: integer
              format: int64
              example: 1000
            next_marker:
              description: The marker for the start of the next page of results.
              type: string
              example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
              nullable: true
      title: Box Hub Items
      x-box-resource-id: hub_items_v2025.0
      x-box-tag: hub_items
    ClientError:
      description: A generic error.
      type: object
      properties:
        type:
          description: The value will always be `error`.
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: The HTTP status of the response.
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: A Box-specific error code.
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: A short message describing the error.
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            A free-form object that contains additional context about the error.
            The possible fields are defined on a per-endpoint basis. `message`
            is only one example.
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: A URL that links to more information about why this error occurred.
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: >-
            A unique identifier for this response, which can be used when
            contacting Box support.
          type: string
          example: abcdef123456
          nullable: false
      title: Client error
      x-box-resource-id: client_error_v2025.0
    HubItem:
      description: A Box Hub Item is a Box Item that is referenced in a Box Hub.
      type: object
      properties:
        id:
          description: The unique identifier for this item.
          type: string
          example: '12345678'
        type:
          description: The type of the item.
          type: string
          example: file
          enum:
            - file
            - folder
            - web_link
        name:
          description: The name of the item.
          type: string
          example: My File
      required:
        - id
        - type
        - name
      title: Box Hub Item
      x-box-resource-id: hub_item_v2025.0
      x-box-tag: hub_items
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Read all files and folders stored in Box
            root_readwrite: Read and write all files and folders stored in Box
            manage_app_users: Provision and manage app users
            manage_managed_users: Provision and manage managed users
            manage_groups: Manage an enterprise's groups
            manage_webhook: Create webhooks programmatically through the API
            manage_enterprise_properties: Manage enterprise properties
            manage_data_retention: Manage data retention polices
            manage_legal_hold: Manage Legal Holds

````